# $Revision: 1.64 $, $Date: 2002/10/22 17:12:15 $
Summary:	A utility for getting files from remote servers (FTP, HTTP, and others)
Summary(es):	Busca URL (soporta FTP, TELNET, LDAP, GOPHER, DICT, HTTP y HTTPS)
Summary(pl):	Narzdzie do cigania plikw z serwerw (FTP, HTTP i innych)
Summary(pt_BR):	Busca URL (suporta FTP, TELNET, LDAP, GOPHER, DICT, HTTP e HTTPS)
Summary(ru):	      FTP, HTTP  
Summary(uk):	̦   ̦  Ҧ FTP, HTTP  
Name:		curl
Version:	7.10.1
Release:	1
License:	MPL
Vendor:		Daniel Stenberg <Daniel.Stenberg@sth.frontec.se>
Group:		Applications/Networking
Source0:	http://curl.haxx.se/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-no_strip.patch
URL:		http://curl.haxx.se/
%{!?_without_ssl:BuildRequires:	openssl-devel >= 0.9.6a}
Requires:	openssl-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libcurl2

%description
cURL is a tool for getting files with URL syntax, supporting FTP,
HTTP, HTTPS, GOPHER, TELNET, DICT, FILE and LDAP. cURL supports HTTP
POST, HTTP PUT, FTP uploading, HTTP form based upload, proxies,
cookies, user+password authentication and a busload of other useful
tricks. The main use for curl is when you want to get or send files
automatically to or from a site using one of the supported protocols.

cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. cURL is designed
to work without user interaction or any kind of interactivity. cURL
offers many useful capabilities, like proxy support, user
authentication, FTP upload, HTTP post, and file transfer resume.

%description -l es
Curl es un cliente para bajar documentos/archivos de servidores usando
uno de los protocolos soportados. Est proyectado para funcionar sin
interaccin del usuario.

Curl trabaja con proxy, autenticacin, ftp put, HTTP post, y puede
continuar transferencias interrumpidas, y adems...

%description -l pl
cURL jest narzdziem do cigania plikw o skadni URL. Obsuguje FTP,
HTTP, HTTPS, GOPHER, TELNET, DICT, FILE i LDAP. cURL obsuguje rwnie
HTTP POST, HTTP PUT, zaadowywanie (uploading) FTP, zaadowywanie HTTP
oparte na formularzu, serwery proksy, ciasteczka, autoryzacja
uytkownik/haso oraz wiele innych uytecznych sztuczek. Curla uywa
si gwnie wtedy, kiedy chce si automatycznie cign lub wysa
pliki z/na serwer uywajc jednego z dostpnych protokow.

Uwaga: ten pakiet wspiera takze SSL.

%description -l pt_BR
Curl  um cliente para baixar/enviar arquivos de/para servidores
usando um dos protocolos suportados.  projetado para funcionar sem a
interao do usurio.

Curl trabalha com proxy, autenticao, ftp put, HTTP post, e pode
continuar transferncias interrompidas, e mais...

%description -l ru
curl -        
  ,      
,       .

curl    ,   
,  ,   FTP,  HTTP
POST,      .

curl -  ̦   Ц   
̦  Ҧ,      Ŧ
ͦ,    צ Ħ  .

curl Цդ   ,   Ц
Ӧ, æ , צ  FTP, HTTP POST,
צ ϧ    .

%package devel
Summary:	Header files and development documentation for curl library
Summary(pl):	Pliki nagwkowe i dokumentacja do biblioteki curl
Summary(pt_BR):	Arquivos de cabealho e bibliotecas de desenvolvimento
Summary(ru):	      curl
Summary(uk):	     ¦̦ curl
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libcurl2-devel

%description devel
Header files and development documentation for curl library.

%description devel -l pl
Pliki nagwkowe i dokumentacja do biblioteki curl.

%description devel -l pt_BR
Arquivos de cabealho e bibliotecas de desenvolvimento.

%description devel -l ru
   ,     
  curl.

%description devel -l uk
  ͦ , ȦΦ    
 ¦̦ curl.

%package static
Summary:	Static version of curl library
Summary(pl):	Statyczna wersja biblioteki curl
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com o curl
Summary(ru):	       curl
Summary(uk):	Φ ¦̦     ¦̦ curl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of curl library.

%description static -l pl
Statyczna wersja biblioteki curl.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com o curl.

%description static -l ru
        
  curl.

%description static -l uk
  ͦ  ¦̦    
 ¦̦ curl.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	%{!?_without_ssl:--with-ssl=%{_prefix}} \
	%{!?_without_ssl:--with-ca-bundle=/usr/share/ssl/ca-bundle.crt} \
	--with-ipv6

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc CHANGES README docs/TheArtOfHttpScripting
%doc docs/{BUGS,CONTRIBUTE,FAQ,FEATURES,INTERNALS,MANUAL,README*,RESOURCES,THANKS,TODO}
%attr(755,root,root) %{_bindir}/%{name}-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: curl.spec,v $
Revision 1.64  2002/10/22 17:12:15  kloczek
- pass CA bundle file name conditionaly depending on using SSL support.

Revision 1.63  2002/10/22 17:10:23  kloczek
- use /usr/share/ssl/ca-bundle.crt as CA bundle file.

Revision 1.62  2002/10/22 15:35:59  kloczek
- updated to 7.10.1: bug fixes.

Revision 1.61  2002/10/03 08:21:46  misiek
- add symlink to openssl CA chain file

Revision 1.60  2002/10/02 11:35:19  misiek
- updated to 7.10 (fixes segfault with --interface option)

Revision 1.59  2002/06/27 07:31:34  kloczek
- updated to 7.9.8 (fixed some format strings problems and other fixes),
- merge fix-proto patch from RH,
- use new %doc.

Revision 1.58  2002/05/15 05:50:16  kloczek
- updated to 7.9.7.

Revision 1.57  2002/04/25 16:08:16  arturs
fixed a small typo

Revision 1.56  2002/04/23 19:41:26  kloczek
- updated to 7.9.6 (bugfix version).

Revision 1.55  2002/04/04 18:53:52  kloczek
- bump release to 3 and merge translations from KSI.

Revision 1.54  2002/04/04 18:19:37  pioklo
- updated 7.9.5 ,STBR

Revision 1.53  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.52  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.51  2002/02/05 15:45:58  areq
- 7.9.4 Bugfixes
- STBR

Revision 1.50  2002/01/27 00:03:00  kloczek
- updated to 7.9.3 and removed readtimeout-fix patch which seems now isn't
  neccessary.

Revision 1.49  2002/01/18 02:12:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.48  2002/01/02 18:22:48  kloczek
- release2: libcurl2{,-devel} added to Obsletes for allow upgrade from MDK.

Revision 1.47  2001/12/15 17:27:03  kloczek
- updated to 7.9.2 (bug fixes and improvements; details in CHANGES).

Revision 1.46  2001/11/04 19:32:03  areq
- 7.9.1, STBR
- update curl-readtimeout-fix

Revision 1.45  2001/10/27 20:08:05  kloczek
- adapterized.

Revision 1.44  2001/10/27 14:07:38  mis
- added curl-readtimeout-fix.patch; release 2; STB

Revision 1.43  2001/10/03 08:20:59  mis
- completed docs

Revision 1.42  2001/09/27 08:41:11  migo
- fixed polish summary

Revision 1.41  2001/09/25 14:31:40  areq
- 7.9, STBR

Revision 1.40  2001/08/23 04:43:26  kloczek
- upadated to 7.8.1 and removed obsoleted patched (now aplayed to main
  stream sources).

Revision 1.39  2001/07/03 17:08:07  mis
- added progress-fix.patch (release 4)

Revision 1.38  2001/06/27 20:35:22  klakier
- curl-config --libs returned "-s -lssl -lcrypto -ldl", removed LDFLAGS to
  not propagate -s

Revision 1.37  2001/06/16 21:21:33  misiek
- fix so name (patch from curl maling list)
- release 3

Revision 1.36  2001/06/10 23:48:37  kloczek
- typo.

Revision 1.35  2001/06/10 23:33:01  kloczek
- release 2: added --with-ipv6 to ac options.

Revision 1.34  2001/06/07 20:29:09  areq
- 7.8, STBR

Revision 1.33  2001/05/22 09:06:15  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.32  2001/05/19 12:55:49  klakier
- added forgotten curl-config

Revision 1.31  2001/05/18 19:04:08  mis
- updated to 7.7.4-pre2

Revision 1.30  2001/05/15 09:44:34  mis
- updated to 7.7.4-pre1

Revision 1.29  2001/05/09 00:03:32  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.28  2001/05/07 16:21:02  kloczek
- updated to 7.7.3.

Revision 1.27  2001/05/06 20:05:38  mis
- revert autodowngrade

Revision 1.25  2001/04/23 16:45:16  areq
- 7.7.2

Revision 1.24  2001/04/04 15:41:57  kloczek
- fixed %files list.

Revision 1.23  2001/04/04 15:32:26  mis
- autoupdated to 7.7.1

Revision 1.22  2001/03/23 13:17:55  mis
- updated (by autoup) to 7.7

Revision 1.21  2001/02/13 21:55:30  areq
- 7.6.1

Revision 1.20  2001/02/10 04:50:21  kloczek
- missing ? in bcond macros.

Revision 1.19  2001/02/10 04:45:51  kloczek
- release 2: added bcond for off ssl.

Revision 1.18  2001/01/29 14:56:50  kloczek
- updated to 7.6.

Revision 1.17  2001/01/04 20:19:10  kloczek
- updated to 7.5.2.

Revision 1.16  2000/12/11 18:09:45  mis
- up to 7.5.1

Revision 1.15  2000/12/05 09:44:28  mis
- up to 7.5

Revision 1.14  2000/11/15 15:48:51  mis
- updated to 7.4.2

Revision 1.13  2000/10/19 11:46:32  mis
- updated to 7.4.1

Revision 1.12  2000/09/30 20:39:47  kloczek
- adapterized.

Revision 1.11  2000/09/29 09:21:24  mis
- updated to 7.3

Revision 1.10  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.8  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.6  2000/03/28 11:10:59  arturs
typo

Revision 1.5  2000/03/27 14:21:15  arturs
- added %description -l pl

Revision 1.4  2000/03/23 10:11:40  kloczek
- updated to 6.5.2.

Revision 1.3  2000/01/17 01:17:18  kloczek
- updated to 6.4.

Revision 1.2  2000/01/06 02:21:17  kloczek
- updated to 6.3.1,
- rewritesd in PLD packaging style,
- updated Source url and URL.

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Thu Aug 26 1999 Tim Powers <timp@redhat.com>
- changelog started
- general cleanups, changed prefix to /usr, added manpage to files section
- including in Powertools
